# Type alias ArchivistModule<TParams, TEventData>

ArchivistModule<TParams, TEventData>: Module<TParams, TEventData> & Archivist<Payload, Payload, Payload, string>

#### Type Parameters

- #### TParams extends ArchivistParams<AnyConfigSchema<ArchivistConfig>> = ArchivistParams<AnyConfigSchema<ArchivistConfig>>

- #### TEventData extends ArchivistModuleEventData = ArchivistModuleEventData

- Defined in modules/packages/archivist/packages/model/dist/types/Archivist.d.ts:25

Generated using TypeDoc